//
// top-level module
//

module bigben(fpgaClk, dsmOut);
    input fpgaClk;            // 12 MHz FPGA clock input
	 output dsmOut;            // delta-sigma modulator output

  wire clk;                   // 100 MHz system clock
  wire rst;                   // system reset
  wire start;                 // note start pulse
  wire [15:0] modFrequ;       // modulator frequency
  wire [15:0] modDecay;       // modulator decay
  wire [15:0] carFrequ;       // carrier frequency
  wire [15:0] carDecay;       // carrier decay
  wire [11:0] sample;         // audio sample

  clkrst clkrst1(fpgaClk, clk, rst);
  seq seq1(clk, rst, start,
           modFrequ, modDecay,
			  carFrequ, carDecay);
  fms fms1(clk, rst, start,
           modFrequ, modDecay,
			  carFrequ, carDecay,
			  sample);
  dsm dsm1(clk, rst, sample, dsmOut);

endmodule
